[Решено]проблемы libdrm

О том о сем
Аватара пользователя

Автор темы
qwertKI
Сообщения: 144
Зарегистрирован: 03 сен 2016, 10:11
Решено: 5
Откуда: г.Полтава. Украина
Благодарил (а): 56 раз
Поблагодарили: 57 раз

[Решено]проблемы libdrm

Сообщение qwertKI » 01 авг 2017, 16:24

на ровном месте поймал проблему после обновления, не пойму где накосячил, ноут :
home@home-pc ~ $ inxi -Fxz
System: Host: home-pc Kernel: 4.8.1-040801-generic i686 (32 bit gcc: 6.2.0)
Desktop: MATE 1.18.0 (Gtk 3.18.9-1ubuntu3.3)
Distro: Linux Mint 18.2 Sonya
Machine: System: TOSHIBA product: Satellite C660 v: PSC0NE-01500FRU
Mobo: TOSHIBA model: PWWAM v: 1.00
Bios: TOSHIBA v: 1.50 date: 06/20/2011
CPU: Single core Intel Celeron 925 (-UP-) cache: 1024 KB
flags: (lm nx pae sse sse2 sse3 ssse3) bmips: 4588 speed: 2294 MHz (max)
Graphics: Card: Intel Mobile 4 Series Integrated Graphics Controller
bus-ID: 00:02.0
Display Server: X.Org 1.18.4 drivers: intel (unloaded: fbdev,vesa)
Resolution: 1366x768@59.97hz
GLX Renderer: Mesa DRI Mobile Intel GM45 Express x86/MMX/SSE2
GLX Version: 2.1 Mesa 17.2.0-rc2 Direct Rendering: Yes
Audio: Card Intel 82801I (ICH9 Family) HD Audio Controller
driver: snd_hda_intel bus-ID: 00:1b.0
Sound: Advanced Linux Sound Architecture v: k4.8.1-040801-generic
Network: Card-1: Realtek RTL8101/2/6E PCI Express Fast/Gigabit Ethernet controller
driver: r8169 v: 2.3LK-NAPI port: 3000 bus-ID: 0e:00.0
IF: enp14s0 state: down mac: <filter>
Card-2: Broadcom BCM4313 802.11bgn Wireless Network Adapter
driver: bcma-pci-bridge bus-ID: 14:00.0
IF: wlp20s0b1 state: up mac: <filter>
Drives: HDD Total Size: 320.1GB (7.1% used)
ID-1: /dev/sda model: Hitachi_HTS54323 size: 320.1GB
Partition: ID-1: / size: 49G used: 5.8G (13%) fs: ext4 dev: /dev/sda1
ID-2: /home size: 141G used: 14G (11%) fs: ext4 dev: /dev/sda3
ID-3: swap-1 size: 2.14GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
Sensors: System Temperatures: cpu: 61.0C mobo: N/A
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 152 Uptime: 22 min Memory: 520.5/1881.9MB
Init: systemd runlevel: 5 Gcc sys: 5.4.0
Client: Shell (bash 4.3.481) inxi: 2.2.35
после обновления выдал:
home@home-pc ~ $ sudo apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
Пакеты, которые будут оставлены в неизменном виде:
libdrm-amdgpu1 libdrm2 libinput10
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 3 пакетов не обновлено.
home@home-pc ~ $ sudo apt-get dist-upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
НОВЫЕ пакеты, которые будут установлены:
libdrm-common libinput-bin
Пакеты, которые будут обновлены:
libdrm-amdgpu1 libdrm2 libinput10
обновлено 3, установлено 2 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/178 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 116 kB.
Хотите продолжить? [Д/н]
(Чтение базы данных … на данный момент установлено 233529 файлов и каталогов.)
Подготовка к распаковке …/libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb …
Распаковывается libdrm-common (2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb (--unpack):
попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-amdgpu1:i386 2.4.81+git20170630.3095cc8e-0ubuntu0ricotz~16.04.1
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/libdrm-common_2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
может кто сталкивался с подобным ? Help !!!!!
Последний раз редактировалось пользователем 1 qwertKI; всего редактировалось раз: 1

Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

проблемы libdrm

Сообщение Chocobo » 01 авг 2017, 16:35

qwertKI, Покажи
apt policy libdrm-amdgpu1
и
apt policy libdrm-common

Ну и dist-upgrade не совсем минтовая команда :smile:

Аватара пользователя

Автор темы
qwertKI
Сообщения: 144
Зарегистрирован: 03 сен 2016, 10:11
Решено: 5
Откуда: г.Полтава. Украина
Благодарил (а): 56 раз
Поблагодарили: 57 раз

проблемы libdrm

Сообщение qwertKI » 01 авг 2017, 16:45

Chocobo писал(а): Покажи
apt policy libdrm-amdgpu1
и
apt policy libdrm-common
home@home-pc ~ $ apt policy libdrm-amdgpu1
libdrm-amdgpu1:
Установлен: 2.4.81+git20170630.3095cc8e-0ubuntu0ricotz~16.04.1
Кандидат: 2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1
Таблица версий:
2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1 500
500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial/main i386 Packages
*** 2.4.81+git20170630.3095cc8e-0ubuntu0ricotz~16.04.1 100
100 /var/lib/dpkg/status
2.4.76-1~ubuntu16.04.1 500
500 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages
2.4.67-1 500
500 http://archive.ubuntu.com/ubuntu xenial/main i386 Packages
home@home-pc ~ $ apt policy libdrm-common
libdrm-common:
Установлен: (отсутствует)
Кандидат: 2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1
Таблица версий:
2.4.82+git20170731.3876bc24-0ubuntu0ricotz~16.04.1 500
500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu xenial/main i386 Packages

Аватара пользователя

Автор темы
qwertKI
Сообщения: 144
Зарегистрирован: 03 сен 2016, 10:11
Решено: 5
Откуда: г.Полтава. Украина
Благодарил (а): 56 раз
Поблагодарили: 57 раз

проблемы libdrm

Сообщение qwertKI » 01 авг 2017, 16:47

qwertKI писал(а): http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages
2.4.67-1 500
кажется понял xorg-edgers

Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

проблемы libdrm

Сообщение Chocobo » 01 авг 2017, 16:52

qwertKI, Да не, конфликта вроде нет именно между репами. А что ставил до этого и каким образом?
Просто с твоими железяками libdrm-amdgpu1 не нужен ни одному девайсу.
Попробуй его вынести с apt remove libdrm-amdgpu1, если за собой сильно много не утащит по зависимостям.

Аватара пользователя

Автор темы
qwertKI
Сообщения: 144
Зарегистрирован: 03 сен 2016, 10:11
Решено: 5
Откуда: г.Полтава. Украина
Благодарил (а): 56 раз
Поблагодарили: 57 раз

проблемы libdrm

Сообщение qwertKI » 01 авг 2017, 16:56

таки да
home@home-pc ~ $ sudo apt-get dist-upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
НОВЫЕ пакеты, которые будут установлены:
libinput-bin
Пакеты, которые будут обновлены:
libinput10
обновлено 1, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 92,1 kБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 84,0 kB.
Хотите продолжить? [Д/н]
Пол:1 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 libinput-bin i386 1.6.3-1ubuntu1~16.04.1 [9.048 B]
Пол:2 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 libinput10 i386 1.6.3-1ubuntu1~16.04.1 [83,0 kB]
Получено 92,1 kБ за 0с (352 kБ/c)
Выбор ранее не выбранного пакета libinput-bin.
(Чтение базы данных … на данный момент установлено 233529 файлов и каталогов.)
Подготовка к распаковке …/libinput-bin_1.6.3-1ubuntu1~16.04.1_i386.deb …
Распаковывается libinput-bin (1.6.3-1ubuntu1~16.04.1) …
Подготовка к распаковке …/libinput10_1.6.3-1ubuntu1~16.04.1_i386.deb …
Распаковывается libinput10:i386 (1.6.3-1ubuntu1~16.04.1) на замену (1.2.3-1ubuntu1) …
Обрабатываются триггеры для udev (229-4ubuntu19) …
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
Настраивается пакет libinput-bin (1.6.3-1ubuntu1~16.04.1) …
Настраивается пакет libinput10:i386 (1.6.3-1ubuntu1~16.04.1) …
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
удалил реп xorg-edgers и все стало на места. решено. Chocobo спасибо за пинок в правильном направлении :)))

Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

проблемы libdrm

Сообщение Chocobo » 01 авг 2017, 16:58

qwertKI, Просто его может необязательно было выпиливать, я думал тебе оттуда интеловые дровишки нужны :smile:

Аватара пользователя

Автор темы
qwertKI
Сообщения: 144
Зарегистрирован: 03 сен 2016, 10:11
Решено: 5
Откуда: г.Полтава. Украина
Благодарил (а): 56 раз
Поблагодарили: 57 раз

[Решено]проблемы libdrm

Сообщение qwertKI » 01 авг 2017, 17:07

Chocobo писал(а): интеловые дровишки нужны
да ради них и ставил... на родных не хуже... ноут семейный - веб, киноха... нормально и с этими. все сдаю домашним в пользование, пошел на свой родной дебиан :))))

Вернуться в «Болталка: Оффтоп, разбор полетов»